package com.dgtis.dorm.manager.db.domain;

import java.time.LocalDateTime;

public class NewsOrganize {

    private int id;
    private int newsId; // 新闻/活动/... id
    private int organizeId; // 圈子id
    private int userId; // 创建者id
    private LocalDateTime createDate; // 创建时间
    private String fromType; // 0 - 表示后台创建; 1 - 表示移动端创建
    private String organizeName; // 组织名称
    private String activityName; // 活动名称/标题

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getNewsId() {
        return newsId;
    }

    public void setNewsId(int newsId) {
        this.newsId = newsId;
    }

    public int getOrganizeId() {
        return organizeId;
    }

    public void setOrganizeId(int organizeId) {
        this.organizeId = organizeId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public String getOrganizeName() {
        return organizeName;
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }
}

